ConnectCloud Developers

Delete an unused document type (tenant:settings:write)

DELETE /api/dms/v1/document-types/{code}

Module: DMS · operationId: deleteDocumentType · Tag: Document types · Auth: access token (Authorization: Bearer <accessToken>)

Types used by any document (deleted ones included) and platform types cannot be deleted (409); deactivate them instead.

Parameters

Name In Type Required Description
code path string yes Document type code (lower-cased by the server)

Responses

  • 204 Deleted
  • 404 Error (application/json)
  • 409 Error (application/json)

Example request

curl -X DELETE 'https://api.mbcom.cloud/api/dms/v1/document-types/supplier_contract' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI